import React from 'react';
import OrderButtons from './OrderButtons';

const OrderIndexItem = ({ order }) => {

  const { 
    id,
    orderId, 
    status, 
    orderItems, 
    createdAt, 
    modifiedAt
  } = order;

  const actions = ( status !== "FULFILLED" || status !== "CANCELLED" ? 
    <OrderButtons order={order} /> : 
    <div>{status}</div>
  );

  return (
    <div className="oii">
      <div>{`Order #: ${orderId}`}</div>
      {actions}
      
    </div>
  )
};

export default OrderIndexItem;
